---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libvmobjalloc01.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _agent_wait_for_sync, symObjAddr: 0xEE0, symBinAddr: 0x22E0, symSize: 0x240 }
  - { offsetInCU: 0x495, offset: 0x495, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x23000, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x4B3, offset: 0x4B3, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x23008, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x9100, offset: 0x9100, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x23010, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x23018, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x23020, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x23028, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x91D4, offset: 0x91D4, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x23048, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x91ED, offset: 0x91ED, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x23038, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x9206, offset: 0x9206, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x23040, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x92A1, offset: 0x92A1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x22B0, symSize: 0x30 }
  - { offsetInCU: 0x9744, offset: 0x9744, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1120, symBinAddr: 0x2520, symSize: 0x70 }
  - { offsetInCU: 0x981D, offset: 0x981D, size: 0x8, addend: 0x0, symName: _agent_resume_sync, symObjAddr: 0x1190, symBinAddr: 0x2590, symSize: 0x1A0 }
  - { offsetInCU: 0x9D5C, offset: 0x9D5C, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x1330, symBinAddr: 0x2730, symSize: 0x4F0 }
  - { offsetInCU: 0xA693, offset: 0xA693, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x1CA0, symBinAddr: 0x30A0, symSize: 0xB0 }
  - { offsetInCU: 0xA70A, offset: 0xA70A, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x1820, symBinAddr: 0x2C20, symSize: 0x1A0 }
  - { offsetInCU: 0xAA6D, offset: 0xAA6D, size: 0x8, addend: 0x0, symName: _VMObjectAlloc, symObjAddr: 0x19C0, symBinAddr: 0x2DC0, symSize: 0xA0 }
  - { offsetInCU: 0xACB0, offset: 0xACB0, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1A60, symBinAddr: 0x2E60, symSize: 0x170 }
  - { offsetInCU: 0xAEF8, offset: 0xAEF8, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1BD0, symBinAddr: 0x2FD0, symSize: 0xA0 }
  - { offsetInCU: 0xAF95, offset: 0xAF95, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1C70, symBinAddr: 0x3070, symSize: 0x10 }
  - { offsetInCU: 0xAFEB, offset: 0xAFEB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1C80, symBinAddr: 0x3080, symSize: 0x10 }
  - { offsetInCU: 0xB041, offset: 0xB041, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1D50, symBinAddr: 0x3150, symSize: 0x60 }
  - { offsetInCU: 0xB0F7, offset: 0xB0F7, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x1DB0, symBinAddr: 0x31B0, symSize: 0x162 }
...
